* testsuite/icf_safe_so_test.sh: Add #!/bin/sh to start.
authorSriraman Tallam <tmsriram@google.com>
Mon, 21 Mar 2011 20:55:33 +0000 (20:55 +0000)
committerSriraman Tallam <tmsriram@google.com>
Mon, 21 Mar 2011 20:55:33 +0000 (20:55 +0000)
Change == to -eq.
* testsuite/icf_string_merge_test.sh: Add #!/bin/sh to start.
* testsuite/icf_safe_test.sh: Add #!/bin/sh to start.
Change == to -eq.
* testsuite/icf_sht_rel_addend_test.sh: Add #!/bin/sh to start.
* testsuite/icf_preemptible_functions_test.sh: Add #!/bin/sh to start.

gold/ChangeLog
gold/testsuite/icf_preemptible_functions_test.sh
gold/testsuite/icf_safe_so_test.sh
gold/testsuite/icf_safe_test.sh
gold/testsuite/icf_sht_rel_addend_test.sh
gold/testsuite/icf_string_merge_test.sh

index ed3dc6c3416386bab39d41b66a394b879ba74017..dacc36a6299627b66ceb660aeb821ef82334f7e1 100644 (file)
@@ -1,3 +1,13 @@
+2011-03-21  Sriraman Tallam  <tmsriram@google.com>
+
+       * testsuite/icf_safe_so_test.sh: Add #!/bin/sh to start.
+       Change == to -eq.
+       * testsuite/icf_string_merge_test.sh: Add #!/bin/sh to start.
+       * testsuite/icf_safe_test.sh: Add #!/bin/sh to start.
+       Change == to -eq.
+       * testsuite/icf_sht_rel_addend_test.sh: Add #!/bin/sh to start.
+       * testsuite/icf_preemptible_functions_test.sh: Add #!/bin/sh to start.
+
 2011-03-14  Ian Lance Taylor  <iant@google.com>
 
        * script-sections.cc (Sort_output_sections::script_compare):
index 27cf459887de04d45ea934c0de974216500ab581..dd90d7fd7b1125d065afa04de3a5f5139eda1824 100755 (executable)
@@ -1,3 +1,5 @@
+#!/bin/sh
+
 # icf_preemptible_functions_test.sh -- test --icf=all
 
 # Copyright 2010 Free Software Foundation, Inc.
index 315a016953cca1eda8876bdccdaff90bc767a647..2c8825091723ee4edb3b3e1c35529b9c038cb6d1 100755 (executable)
@@ -1,3 +1,5 @@
+#!/bin/sh
+
 # icf_safe_so_test.sh -- test --icf=safe
 
 # Copyright 2010 Free Software Foundation, Inc.
@@ -76,7 +78,7 @@ check_fold()
 
 arch_specific_safe_fold()
 {
-    if [ $1 == 0 ];
+    if [ $1 -eq 0 ];
     then
       check_fold $2 $3 $4
     else
index d26d40bb91d4c08de0fc01117b2fbe3dacb1c0ac..74a7fb9d149ffa3cbe51d536628307edeb1ebad6 100755 (executable)
@@ -1,3 +1,5 @@
+#!/bin/sh
+
 # icf_safe_test.sh -- test --icf=safe
 
 # Copyright 2009 Free Software Foundation, Inc.
@@ -50,7 +52,7 @@ check_fold()
 arch_specific_safe_fold()
 {
     grep_x86=`grep -q -e "Advanced Micro Devices X86-64" -e "Intel 80386" -e "ARM" $2`
-    if [ $? == 0 ];
+    if [ $? -eq 0 ];
     then
       check_fold $1 $3 $4
     else
index d2a05e46579da6c57948d8365badf9ff3af08ff0..9077e25ecf7cf23f6569640b869489b72879cbb3 100755 (executable)
@@ -1,3 +1,5 @@
+#!/bin/sh
+
 # icf_sht_rel_addend_test.sh -- test --icf=all
 
 # Copyright 2010 Free Software Foundation, Inc.
index f22f2121a851ea5d754713cda84db09f76b2bbdd..e8d70de27888875a93f2a004383954710a63b417 100755 (executable)
@@ -1,3 +1,5 @@
+#!/bin/sh
+
 # icf_string_merge_test.sh -- test --icf=all
 
 # Copyright 2010 Free Software Foundation, Inc.